SUSE-SU-2012:0902-1

Security update for libexif

SUSE Security Update: Security update for libexif
Announcement ID: SUSE-SU-2012:0902-1
Rating: important
References: #771229
Affected Products:
  • SUSE Linux Enterprise Server 10 SP4
  • SUSE Linux Enterprise Desktop 10 SP4

  • An update that fixes 5 vulnerabilities is now available.

    Description:


    Various overflows and other security related bugs in
    libexif were found by the Google Security team and fixed
    by the libexif developers.

    Security Issue references:

    * CVE-2012-2812
    >
    * CVE-2012-2814
    >
    * CVE-2012-2836
    >
    * CVE-2012-2837
    >
    * CVE-2012-2841
    >

    Package List:

    • SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc s390x x86_64):
    • libexif-0.6.13-20.14.1
    • SUSE Linux Enterprise Server 10 SP4 (s390x x86_64):
    • libexif-32bit-0.6.13-20.14.1
    • SUSE Linux Enterprise Server 10 SP4 (ia64):
    • libexif-x86-0.6.13-20.14.1
    • SUSE Linux Enterprise Server 10 SP4 (ppc):
    • libexif-64bit-0.6.13-20.14.1
    • SUSE Linux Enterprise Desktop 10 SP4 (i586 x86_64):
    • libexif-0.6.13-20.14.1
    • SUSE Linux Enterprise Desktop 10 SP4 (x86_64):
    • libexif-32bit-0.6.13-20.14.1

    References:

  • http://support.novell.com/security/cve/CVE-2012-2812.html
  • http://support.novell.com/security/cve/CVE-2012-2814.html
  • http://support.novell.com/security/cve/CVE-2012-2836.html
  • http://support.novell.com/security/cve/CVE-2012-2837.html
  • http://support.novell.com/security/cve/CVE-2012-2841.html
  • https://bugzilla.novell.com/771229
  • http://download.suse.com/patch/finder/?keywords=9eed174e86533459e960c872be45c510
  • 2020-03-20